Bug 33116 - installation fails due to cpio problem.
installation fails due to cpio problem.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-25 09:27 EST by David Lawrence
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-30 05:12:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Tattersall 2001-03-25 09:27:08 EST
[root@test131 rhn]# rpm -Uvh /mnt/redhat/test/qa0324.2/i386/RedHat/RPMS/e
gcs-6.2-1.1.2.12.i386.rpm
Preparing...                ###########################################
[100%]
   1:compat-egcs            error: unpacking of archive failed on file
+/usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include: cpio: unlink
failed -
+Is a directory
[root@test131 rhn]#
Comment 1 Jakub Jelinek 2001-03-25 15:21:14 EST
What were you upgrading from?
Packaging of egcs-6.2-1.1.2.11.i386.rpm was borken, but that
was never shipped anywhere outside of beta.
Comment 2 Derek Tattersall 2001-03-25 15:27:35 EST
This occurred during a test of up2date/rhn.  The compat-egcs in the tree as of
yesterday was pushed to the rhn server used by QA.  I was upgrading from RHL7.0
to RHL7.0.95 (release candidate of sorts).  These messages then occurred.

Is there a newer compat-egcs that will be going on the CDs?  We are almost at
the time to cut the golden masters.
Comment 3 Jakub Jelinek 2001-03-26 09:42:57 EST
I've just tried rpm -Uvh on a 7.0 box and without any problems upgraded
to the 7.1 rpms, so I guess RHN guys should look at this.
Note that /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66 subtree does not
exist at all in 7.0 and is populated with symlinks on 7.1.
Comment 4 Jeff Johnson 2001-03-26 12:07:43 EST
rpm does not support replacing directories with a symlink even if in a sub-tree.
Comment 5 Jakub Jelinek 2001-03-26 12:15:11 EST
Yeah, but there are no files in
/usr/lib/gcc-lib/i386-redhat-linux/ other than 2.96 in 7.0 (ie. there is
neither a subdirectory nor a symlink egcs-2.91.66).
In the current compat-egcs there is /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66
directory with symlinks. I really have no idea why the error message appears.
Comment 6 Brock Organ 2001-03-27 18:50:37 EST
this error also occurs for an upgrade from 6.2 ja -> qa0327.0 (ja) ...

Upgrading compat-egcs.
unpacking of archive failed on file
/usr/lib/gcc-lib/i386-redhat-linux/egcs-2.91.66/include: cpio: unlink failed -
Is a directory
Comment 7 Brock Organ 2001-03-29 18:52:00 EST
This occurs for compat-egcs-5.2-1.0.3a.1 ...

[root@test176 /tmp]# rpm -q compat-egcs
compat-egcs-5.2-1.0.3a.1
[root@test176 /tmp]# find /mnt/cdrom/ -name "compat-egcs*rpm"
/mnt/cdrom/RedHat/RPMS/compat-egcs-objc-5.2-1.0.3a.1.i386.rpm
/mnt/cdrom/RedHat/RPMS/compat-egcs-c++-5.2-1.0.3a.1.i386.rpm
/mnt/cdrom/RedHat/RPMS/compat-egcs-5.2-1.0.3a.1.i386.rpm
/mnt/cdrom/RedHat/RPMS/compat-egcs-g77-5.2-1.0.3a.1.i386.rpm
[root@test176 /tmp]#

Comment 8 Jakub Jelinek 2001-03-30 05:12:10 EST
Ouch, I forgot /usr/lib/gcc-lib/i386-redhat-linux/egcs-2.1.96/include
used to be included in 6.2.
Please try compat-egcs-6.2-1.1.2.13 and related packages.
/usr/lib/gcc-lib/i386-redhat-linux/egcs-2.1.96/include is now back a directory
containing symlinks to the header files instead of a symlink to directory with
headers.
I've also included /usr/i386-glibc21-linux/bin/i386-glibc21-linux-env.sh
script which should be sourced (using . ) into current shell to get the
transparent compatibility build environment (e.g. for Oracle).
Comment 9 Cristian Gafton 2001-07-25 20:54:40 EDT
I suspect this is a non issue after 7.1 - closing out, reopen if it still
happens

Note You need to log in before you can comment on or make changes to this bug.